--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Construct the master Gem index file.
constants: []

full_name: Gem::Indexer::MasterIndexBuilder
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add
- !ruby/object:RI::MethodSummary 
  name: cleanup
- !ruby/object:RI::MethodSummary 
  name: end_index
- !ruby/object:RI::MethodSummary 
  name: start_index
name: MasterIndexBuilder
superclass: Gem::Indexer::AbstractIndexBuilder
